#### PyKDE - Python Bindings for KDE

# class KSqueezedTextLabel

Table of contents
Modules
kdeui Classes
All Classes

Module | kdeui
Class | KSqueezedTextLabel
Inherits | QLabel

### methods

- KSqueezedTextLabel (parent, name = 0)

  returns a KSqueezedTextLabel instance

  Argument | Type | Default
  --- | --- | ---
  parent | QWidget |
  name | char | 0

- KSqueezedTextLabel (text, parent, name = 0)

  returns a KSqueezedTextLabel instance

  Argument | Type | Default
  --- | --- | ---
  text | QString |
  parent | QWidget |
  name | char | 0

- minimumSizeHint ()

  returns (QSize)

- resizeEvent (a0)

  returns nothing

  Argument | Type | Default
  --- | --- | ---
  a0 | QResizeEvent |

- setText (a0)

  returns nothing

  Argument | Type | Default
  --- | --- | ---
  a0 | QString |

- sizeHint ()

  returns (QSize)
  In versions KDE 3.3.0 and above only

- squeezeTextToLabel ()

  returns nothing